Update Event Date
curl --request PUT \
--url https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id} \
--header 'Content-Type: application/json' \
--data '
{
"start": "<string>",
"end": "<string>"
}
'import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}"
payload = {
"start": "<string>",
"end": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({start: '<string>', end: '<string>'})
};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'start' => '<string>',
'end' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}"
payload := strings.NewReader("{\n \"start\": \"<string>\",\n \"end\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}")
.header("Content-Type", "application/json")
.body("{\n \"start\": \"<string>\",\n \"end\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"start\": \"<string>\",\n \"end\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyEvent Dates
Update Event Date
Change the start and end of an event date.
PUT
/
wp-json
/
latepoint-api
/
v1
/
events
/
{id}
/
dates
/
{date_id}
Update Event Date
curl --request PUT \
--url https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id} \
--header 'Content-Type: application/json' \
--data '
{
"start": "<string>",
"end": "<string>"
}
'import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}"
payload = {
"start": "<string>",
"end": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({start: '<string>', end: '<string>'})
};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'start' => '<string>',
'end' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}"
payload := strings.NewReader("{\n \"start\": \"<string>\",\n \"end\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}")
.header("Content-Type", "application/json")
.body("{\n \"start\": \"<string>\",\n \"end\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events/{id}/dates/{date_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"start\": \"<string>\",\n \"end\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyThe event’s overall
start and end are recalculated after the change.
Path Parameters
integer
required
The ID of the event
integer
required
The ID of the date to update
Request Body Parameters
string
required
Start of the date,
YYYY-MM-DD HH:MM in the site timezone. See Dates and times.string
End of the date,
YYYY-MM-DD HH:MM in the site timezone. Must be on or after start. Defaults to start.Example Request
PUT /wp-json/latepoint-api/v1/events/2/dates/3
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json
{
"start": "2026-12-07 10:00",
"end": "2026-12-07 13:00"
}
Response
{
"success": true,
"message": "Event date updated successfully",
"data": {
"id": 3,
"event_id": 2,
"start": "2026-12-07 10:00:00",
"end": "2026-12-07 13:00:00",
"start_utc": "2026-12-07 13:00:00",
"end_utc": "2026-12-07 16:00:00"
}
}
Error Responses
| Status | Code | Description |
|---|---|---|
400 | invalid_dates | start is missing, or end is before start |
400 | invalid_datetime | A value is not in YYYY-MM-DD HH:MM format |
404 | event_not_found | The event does not exist |
404 | event_date_not_found | The date does not exist or belongs to another event |
422 | save_error | LatePoint could not save the date |
503 | feature_disabled | Events is disabled in LatePoint settings |
